summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorjonas <jonas@8f53b18a-e215-0410-8885-9f593d34873e>2006-08-02 21:51:03 +0000
committerjonas <jonas@8f53b18a-e215-0410-8885-9f593d34873e>2006-08-02 21:51:03 +0000
commit7e5fcf712bb4b837d75f684a85fe57f1c4a46a15 (patch)
tree7f1377a4692cf1bf97700076833186dd9c38d0e8
parent49cdbc57ccceeaa01691aa9ace17e86d0ab08889 (diff)
Check /etc/shadow (not /etc/passwd) for already configured or not.
git-svn-id: svn+ssh://xayide/home/jonas/private_svn/fleshybrid/homebase@28 8f53b18a-e215-0410-8885-9f593d34873e
-rwxr-xr-x3_configure.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/3_configure.sh b/3_configure.sh
index 558df99..8abbda9 100755
--- a/3_configure.sh
+++ b/3_configure.sh
@@ -9,7 +9,7 @@ set -e
. ./functions || exit 1
# Check if already installed
-if ! ./chroot.sh grep -q 'root::' "/etc/passwd"; then
+if ! ./chroot.sh grep -q 'root::' "/etc/shadow"; then
echo 'ERROR: rootfd already (halfway?) configured!' >&2
exit 1
fi